dagrom(1)

NAME
dagrom - Endace DAG card EEPROM utility

SYNOPSIS
dagrom [options]

DESCRIPTION
dagrom is a utility for reading, writing and erasing the EEPROM device on Endace DAG cards. dagrom's primary use is to update the "current" firmware to the latest released version.

The EEPROM on DAG cards is generally divided into two sections, referred to as the "stable" half and the "current" half. The stable half contains a factory-programmed firmware image that is loaded into the FPGA when the DAG card is powered up. The current half is provided to support a user-programmed (with dagrom) firmware image (generally obtained from the latest Endace release) that may contain bug fixes and/or additional features relative to the image in the stable half.

OPTIONS

-a

--alternate-half
    Apply to the alternate (stable) half of the EEPROM. (Default is current).

-A

--entire-rom
    Apply to the entire EEPROM (default is current image only).

-b

--swid-rom-check
    Check if there is a Software ID (SWID) on the EEPROM.

-c b|f|k

--cpu-region b|f|k
    Access a CPU region. Options are b (boot), k (kernel), and f (filesystem).

-d DEVICE

--device DEVICE
    Use the DAG device referred to by R DEVICE . Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-e

--erase
    Erase EEPROM (default is read).

-f FILE

--file
    Write the data contained in FILE to the EEPROM.

-F

--disable-cfi-fast
    Disable fast program option for CFI (Common Flash Interface) mode.

-g NUM

--rom-number
    Write to rom number NUM (default is rom 0).

-h

-?

--help

--usage
    Display usage (help) information.

-i

--halt-ixp
    Halts the IXP embedded processor on DAG7.1S cards. This is required when reprogramming one of the embedded processor images (using the -c option).

-I

--incr
    Write an incremented value to ROM (this implies erase). Use only on the advice of Endace.

-j KEY

--swid-rom-check-key KEY
    Check the given KEY against the one stored in the EEPROM.

-k

--swid-rom-read-key
    Read Software ID key from EEPROM.

-l

--hold-bus
    Hold the PBI bus from the XScale (DAG 3.7T only).

-m KEY

--swid-key KEY
    Hexadecimal KEY for writing the Software ID.

-n

--fpga-number
    Specify which FPGA the specified image is loaded into, on next power cycle. DAG cards with multiple FPGAs are indexed (0, 1, ...). Default is 0.

-o

--swid-rom-read
    Read Software ID from EEPROM.

-p

--program-current
    Load the Xilinx image stored in the current half of the EEPROM into the FPGA.

-q NUM

--swid-write NUM
    Write the given NUM as the Software ID (DAG 3.7T). The correct key must be provided with the -m option.

-r

--reprogram
    Reprogram the EEPROM. This may imply erase and write if the EEPROM does not already contain the supplied image.

-s NUM

--swid-rom-write NUM
    Write the given NUM as the ROM-based Software ID. The correct key must be provided with the -m option.

-s  List the software identification of the device detected.

-t NUM

--swid-read-bytes NUM
    Read first NUM bytes of the Software ID.

-u

--swid-erase
    Erase Software ID from EEPROM.

-v

--verbose
    Increase output verbosity.

-V

--version
    Display version information.

-w

--write
    Write data to EEPROM (default is read; write also implies erase).

-x

--list-revisions
    List the Xilinx image revision strings.

-y

--verify
    Verify the contents of the EEPROM.

-q

--image-number
    Specify the image number to write to the flash or to load into the FPGA[0.factory image 1.user image - 1 2.user image -2 3.user image -3]

--image-table-fpga
    Specify the power on Image Selection table FPGA number.

--image-table-image
    Specify the power on Image Selection table image number.

--reset-method
    Specify the method to reprogram the card.[1.Ringo 2.George 3.Dave]

-z

--zero
    Zero the EEPROM.

--continue
    Continue on a ROM erase error.

--write-out FILE
    Write the contents of the ROM to FILE.

--force
    Force loading firmware. Dangerous.

--unknown
    Force loading firmware. Dangerous.

If no options are specified then reading the EEPROM is implied and the content will be dumped to standard output. All commands apply to the current image portion of the EEPROM, unless one of the options -a, -A, or -c is specified.

SEE ALSO
dagfour(1), dagld(1), dagsix(1), dagthree(1).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: sfd $
$Revision: 13965 $
$Date: 2011-02-25 10:14:20 +1300 (Fri, 25 Feb 2011) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.